Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.support
[Java] Class MockFileResource

    java.lang.Object
      org.springframework.core.io.ByteArrayResource
          org.codehaus.groovy.grails.support.MockFileResource

    public class MockFileResource
    extends ByteArrayResource

Mocks the behavior of a FileResource.

Authors:
  Graeme Rocher

Since:
  1.1

Constructor Summary
`MockFileResource(java.lang.String fileName, java.lang.String contents)`
`MockFileResource(java.lang.String fileName, java.lang.String contents, java.lang.String encoding)`

Method Summary
`java.lang.String` | `getFilename()`

Constructor Detail

### MockFileResource

    public MockFileResource(java.lang.String fileName, java.lang.String contents)

### MockFileResource

    public MockFileResource(java.lang.String fileName, java.lang.String contents, java.lang.String encoding)

Method Detail

### getFilename

    @Override
    public java.lang.String getFilename()

Groovy Documentation